:root {
  --dark-color: #19283f;
  --green-color: #33d1cc;
  --red-color: #ff3150;
  --yellow-color: #ffc400;
  --section-color: #eff7fe;
}

body {
  font-family: "Roboto", sans-serif;
  background-color: #f8f9fa;
}

.main-btn {
  background-color: var(--red-color);
  color: var(--yellow-color);
  padding: 0.5rem 1rem;
}

.main-btn:hover {
  background-color: var(--red-color);
}

.main-title::after {
  content: "";
  width: 120px;
  height: 2px;
  background-color: var(--green-color);
  position: absolute;
  bottom: -20px;
  left: 50%;
  transform: translateX(-50%);
}

/*Start Navbar */
.navbar {
  background-color: var(--dark-color);
}

.navbar .navbar-nav .nav-link {
  color: white;
}

.navbar .navbar-nav .nav-link.active,
.navbar .navbar-nav .nav-link:focus,
.navbar .navbar-nav .nav-link:hover {
  color: var(--green-color);
}

.navbar .search {
  border-left: 1px solid var(--green-color);
}

.navbar .search svg {
  color: var(--green-color);
}

.navbar .navbar-toggler {
  color: white;
  font-size: 25px;
  border-color: white;
}

.navbar .navbar-toggler:focus {
  box-shadow: none;
}

.navbar .navbar-toggler[aria-expanded="true"] {
  border-color: var(--green-color);
}

/*End Navbar */

/* Start landing */
.landing {
  background-color: var(--dark-color);
  /* min-height: calc(100vh - 72px); */
  min-height: 100vh;
}

/* End landing */
/* Start features */

.features .icon-holder {
  height: 200px;
}

.features .icon-holder svg {
  left: 50%;
  transform: translateX(-50%);
}

.features .icon-holder .number {
  font-size: 12rem;
  color: var(--section-color);
}

.features .icon-holder .icon {
  color: var(--green-color);
}

.features .feat h4 {
  color: var(--yellow-color);
}

/* End features */

/* start our-work */
.our-work {
  background-color: var(--section-color);
}

.our-work ul .active {
  background-color: var(--red-color);
  color: var(--yellow-color);
}

.our-work ul li {
  padding: 0.5rem 1rem;
  cursor: pointer;
}

.our-work ul li:not(.active):hover {
  color: var(--red-color);
}

.our-work .box {
  padding: 5px;
  overflow: hidden;
  position: relative;
}

.our-work .box::before {
  content: attr(data-work);
  position: absolute;
  background-color: rgb(51 209 204 / 76%);
  width: calc(100% - 10px);
  height: calc(100% - 10px);
  display: flex;
  justify-content: center;
  align-items: center;
  font-weight: bold;
  color: white;
  transition: 0.3s;
  font-size: 1.5rem;
  transform: translateX(calc(-100% - 5px));
}

.our-work .box:hover::before {
  transform: translateX(0);
}

/* end our-work */
/* Start stuff */
.stuff .description {
  max-width: 500px;
}

/* end stuff */

/* start team */
.team {
  background-color: var(--section-color);
}

.team h2 {
  color: var(--yellow-color);
}

.team .box h4 {
  background-color: var(--green-color);
}

/* end team */
/* start project  */
.project {
  background-color: var(--dark-color);
}

/* end project  */

/* start subscribe  */
.subscribe {
  background-color: var(--yellow-color);
}

.subscribe input[type="text"] {
  border: none;
  border-bottom: 1px solid white;
}

.subscribe input[type="text"]:focus {
  outline: none;
}

.subscribe ::placeholder {
  color: white;
}

.subscribe input[type="submit"] {
  background-color: var(--dark-color);
  color: var(--yellow-color);
}

/* end subscribe  */
/* start footer  */
.footer {
  background-color: var(--dark-color);
}

.footer .copyright > span {
  color: var(--green-color);
}

.footer .copyright div span {
  color: var(--yellow-color);
}

.footer .contact ul svg {
  width: 20px;
  height: 20px;
}

.footer .facebook {
  background-color: #1877f2;
}

.footer .twitter {
  background-color: #1da1f2;
}

.footer .linkedin {
  background-color: #0077b5;
}

.footer .youtube {
  background-color: #ff0000;
}

/* end footer  */

/* index */
.home-stats .stat {
  padding: 20px;
  font-size: 15px;
  color: #fff;
  border-radius: 10px;
  position: relative;
  overflow: hidden;
}
.home-stats .stat svg {
  position: absolute;
  font-size: 80px;
  top: 35px;
  left: 30px;
}
.home-stats .stat .info {
  float: right;
}
.home-stats .stat a {
  color: #fff;
}
.home-stats .stat a:hover {
  color: #fff;
}

.home-stats .stat span {
  display: block;
  font-size: 50px;
}

.home-stats .st-balance {
  background-color: #3498db;
}

.home-stats .st-mut {
  background-color: #e74c3c;
}

.home-stats .st-items {
  background-color: #d35400;
}

.home-stats .st-comments {
  background-color: #8e44ad;
}
.latest {
  margin-top: 30px;
}
.latest .toggle-info {
  color: #999;
}
.latest .toggle-info:hover {
  color: #444;
  cursor: pointer;
}
/* index */
.waves {
  position: relative;
  width: 100%;
  height: 122px;
  top: -122px;
  min-height: 100px;
  max-height: 150px;
}
.parallax {
  animation: wave 5s linear infinite;
}

@keyframes wave {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-100%);
  }
}

/* حدود متحركة */
.glowing-border {
  animation: glowing-border 1s infinite alternate;
}

@keyframes glowing-border {
  0% {
    border-color: #6db6ee;
    box-shadow: 0 0 10px #6db6ee;
  }
  100% {
    border-color: #48b9eb;
    box-shadow: 0 0 20px #48b9eb;
  }
}

.lead {
  font-size: 24px; /* زيادة حجم الخط */
  font-weight: bold; /* جعل الخط غليظ */
  color: #007bff; /* تغيير اللون إلى الأزرق الفاتح */
  text-shadow: 2px 2px 4px #000000; /* إضافة ظل للنص */
  transition: all 0.3s ease-in-out; /* تأثير انتقالي للماوس */
}

.lead:hover {
  color: #ffd700; /* تغيير لون النص عند مرور الماوس إلى الذهبي */
  cursor: pointer; /* تغيير شكل المؤشر إلى يد عند مرور الماوس */
}

/* تخصيص عنصر select */
.form-select {
  border: 2px solid #007bff; /* حدود بلون أزرق */
  border-radius: 5px; /* حواف دائرية */
  padding: 0.5rem; /* تباعد داخلي */
  background-color: white; /* لون الخلفية */
  color: #495057; /* لون النص */
}

.form-select:focus {
  border-color: #80bdff; /* لون الحدود عند التركيز */
  box-shadow: 0 0 0 0.2rem rgba(0, 123, 255, 0.25); /* ظل خارجي عند التركيز */
}

/* تحسينات على المظهر عند تمرير الماوس */
.form-select:hover {
  border-color: #0056b3; /* تغيير لون الحدود عند تمرير الماوس */
}

/* زيادة حجم النص داخل select */
.form-select option {
  font-size: 1rem; /* حجم الخط */
}

/* .navbar {
  margin-bottom: 20px;
} */
.progress {
  height: 30px;
}
.progress-bar {
  background-color: #4caf50;
}
#mrzOutput {
  background-color: #e9ecef;
  direction: ltr; /* جعل اتجاه النص من اليسار إلى اليمين */
  text-align: left; /* تأكيد أن النص يتجه من اليسار إلى اليسار */
}
.alert {
  display: none;
}

.btn-custom {
  background-color: #007bff;
  color: white;
  border: none;
  padding: 10px 20px;
  border-radius: 5px;
  font-size: 16px;
  cursor: pointer;
  margin: 5px;
}

.btn-custom:hover {
  background-color: #0056b3;
}
